STRDIFF(3pub)

NAME
strdiff - locate first difference between two strings

SYNOPSIS
#include <publib.h>
size_t strdiff(const char *str1, const char *str2);

DESCRIPTION
strdiff finds the first character from the beginning that is different in the two strings str1 and str2. The terminating zero characters are considered different.

RETURN VALUE
strdiff returns a the offset of the first pair of differring characters (or the offset of the first zero character it finds).

SEE ALSO
publib(3), string(3), strcmp(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)